'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.createToc = createToc;

var _matchesSelector = require('./matches-selector');

function createToc() {
    var tocDiv = document.createElement('div'),
        tocTitleH1 = document.createElement('h1'),
        tocItems = document.getElementById('pagination-layout').querySelectorAll('.pagination-body'),
        itemType = void 0;

    tocDiv.id = 'pagination-toc';
    tocTitleH1.id = 'pagination-toc-title';
    tocDiv.appendChild(tocTitleH1);

    for (var i = 0; i < tocItems.length; i++) {
        if ((0, _matchesSelector.matchesSelector)(tocItems[i], '.pagination-chapter')) {
            itemType = 'chapter';
        } else if ((0, _matchesSelector.matchesSelector)(tocItems[i], '.pagination-section')) {
            itemType = 'section';
        } else {
            continue;
        }
        var tocItemDiv = document.createElement('div');
        tocItemDiv.classList.add('pagination-toc-entry');
        var tocItemTextSpan = document.createElement('span');
        tocItemTextSpan.classList.add('pagination-toc-text');

        tocItemTextSpan.appendChild(document.createTextNode(tocItems[i].querySelector('.pagination-header-' + itemType).textContent.trim()));
        tocItemDiv.appendChild(tocItemTextSpan);

        var tocItemPnSpan = document.createElement('span');
        tocItemPnSpan.classList.add('pagination-toc-pagenumber');

        tocItemPnSpan.appendChild(document.createTextNode(tocItems[i].querySelector('.pagination-pagenumber').textContent.trim()));

        tocItemDiv.appendChild(tocItemPnSpan);

        tocDiv.appendChild(tocItemDiv);
    }

    return tocDiv;
}